<#assign cardUrl = link!?html>
<#switch element.properties.cardUrlTarget>
    <#case "newTab">
      <#assign cardOnclickFunction = "window.open('${cardUrl}' , '_blank')">
      <#break>
    <#case "popup">
      <#assign cardOnclickFunction = "cardviewer_showDialog('${cardUrl}'); return false;">
      <#break>
    <#default>
      <#assign cardOnclickFunction = "window.location.href='${cardUrl}'; return false;">
</#switch>
<div class="card-elementblock w3-card w3-white" onclick="${cardOnclickFunction}">
    <#if imageFilePath?has_content>
        <#assign imgStyle = "background-image:url('${imageFilePath!?html}');">
    <#else>
        <#assign imgStyle = "">
    </#if>
    <img src="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7" class="elementimage" style="${imgStyle}">
    <div class="w3-container">
        <h6 class="elementtitle">${title!?html}</h6>
        <div class="elementdesc">${description!}</div>
    </div>
</div>
